org.apache.hc.client5.http.impl

## Class TunnelRefusedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.client5.http.impl.TunnelRefusedException

All Implemented Interfaces:
  Serializable

    public class TunnelRefusedException
    extends org.apache.hc.core5.http.HttpException

Signals that the tunnel request was rejected by the proxy host.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TunnelRefusedException(String message, String responseMessage)`

### Method Summary

Methods
`String` `getResponseMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TunnelRefusedException

    public TunnelRefusedException(String message,
                          String responseMessage)

### Method Detail

#### getResponseMessage

    public String getResponseMessage()